{% if devices[inventory_hostname].interfaces.routed is defined %}

{{ "Routed links" | comment }}

{% for interface in devices[inventory_hostname].interfaces.routed %}

auto {{ interface }}
iface {{ interface }}
    {% if devices[inventory_hostname].interfaces.routed[interface].unnumbered == false %}
    address {{ devices[inventory_hostname].interfaces.routed[interface].ipv4 }}
    {% if devices[inventory_hostname].interfaces.routed[interface].ipv6 is defined %}
    address {{ devices[inventory_hostname].interfaces.routed[interface].ipv6 }}
    {% endif %}
    {% endif %}
    {% if devices[inventory_hostname].interfaces.routed[interface].vrf != "default" %}
    vrf {{ devices[inventory_hostname].interfaces.routed[interface].vrf }}
    {% endif %}

{% endfor %}
{% endif %}
